Subject: Re: [bug#74058] [PATCH v7 1/2] gnu: postgresql-configuration: Unset default postgresql.

From: Nicolas Graves <[email-masked]>
Date: Sat, 16 Nov 2024 01:06:09 +0100

On 2024-11-15 22:26, pelzflorian (Florian Pelz) wrote:

> Hello Nicolas.  I had not tried previously and did not use postgres, but
> now I applied patch 1/2 to my local guix.git checkout and pull from it
> and `guix pull` gives an error  in the default value of
> (define postgresql-service-type:
>
>
>
> $ gzip -cd /var/log/guix/drvs/hr/8iqk1a4pkchbayr4x4mlm7za2kwxyn-guix-system.drv.gz
> [  7/ 50] loading.....   28.0% of 25 filesice-9/psyntax.scm:2824:12: In procedure syntax-violation:
> Syntax error:
> gnu/services/databases.scm:349:18: postgresql-configuration: missing field initializers (postgresql) in form (postgresql-configuration)
>
>
> Maybe the default value needs to be adapted;
> or maybe I am missing some prerequisite patch if pull works for you.
>
> Regards,
> Florian

Thought I pulled properly, I'll retry. Thanks for pointing that out.

-- 
Best regards,
Nicolas Graves